(* Gene Rollins (rollins+@cs.cmu.edu)
   School of Computer Science, Carnegie-Mellon Univ, Pittsburgh, PA *)

signature PATHNAME = sig
 val getwd :unit -> string

 val clearPath   :string -> string
 val clearPath'  :string list -> string list
 val explodePath :string -> string list
 val implodePath :string list -> string
 
 val extension          :string -> string
 val stripExtension     :string -> string
 val splitFileExtension :string -> string * string
 
 val directoryPart  :string -> string
 val stripDirectory :string -> string
 val mergeDirFile   :string -> string -> string
 val splitDirFile   :string -> string * string
 val splitDirFile'  :string -> string * string
 
 val absoluteName :string -> string -> string
 val relativeName :string -> string -> string
end
